import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { FranvaroReportViewComponent } from './franvaro-report-view.component';
import { FranvaroReportViewService } from './franvaro-report-view.service';

describe('FranvaroReportViewComponent', () => {
  let component: FranvaroReportViewComponent;
  let fixture: ComponentFixture<FranvaroReportViewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [FranvaroReportViewComponent, LayoutComponent],
      imports: [RouterTestingModule, HttpClientTestingModule],
      providers: [FranvaroReportViewService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(FranvaroReportViewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
